// ********************************************************************************** //
// The contents of this file are subject to the Mozilla Public License Version 1.1    //
// (the "License"); you may not use this file except in compliance with the License.  //
// You may obtain a copy of the License at http://www.mozilla.org/MPL/                //
//                                                                                    //
// Software distributed under the License is distributed on an "AS IS" basis,         //
// WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License for the  //
// specific language governing rights and limitations under the License.              //
//                                                                                    //
// The Original Code provided by Mozilla's Firefox is XUL, Javascript, and CSS.       // 
// Contributor - Intuit Inc. (c) 2007                                                 //
// ********************************************************************************** //

// -- LOAD DIALOG -- //

var thumbstripsThumbnails = window.arguments[0];
var thumbstripsTargetUrl = window.arguments[1];

function thumbstrips_onEditCommentDialogLoad()
{
    var targetThumbnail = thumbstripsThumbnails.FindByUrl(thumbstripsTargetUrl);

    if(targetThumbnail!=null)
    {      
	    var thumbnailCommentControl = document.getElementById("thumbnailCommentTextBox");
        thumbnailCommentControl.value = targetThumbnail.m_comment;
    }
}

function thumbstrips_onEditCommentDialogAccept()
{
	var thumbnailCommentControl = document.getElementById("thumbnailCommentTextBox");

    var targetThumbnail = thumbstripsThumbnails.FindByUrl(thumbstripsTargetUrl);

    if(targetThumbnail!=null)
    {      
        targetThumbnail.m_comment = thumbnailCommentControl.value;
    }    
}

function showEditCommentDialog(targetUrl)
{
	window.openDialog("chrome://thumbstrips/content/EditCommentDialog.xul", "", "chrome,modal,centerscreen", thumbstrips_GetFilmstrip().m_thumbnailArray, targetUrl);
}